<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>DEMO</title>
  <!--
    Remove this if you only support browsers that support async/await.
    This is needed by babel to share largeish helper code for compiling async/await in older
    browsers. More information at https://github.com/single-spa/create-single-spa/issues/112
  -->
  <script src="https://cdn.jsdelivr.net/npm/regenerator-runtime@0.13.7/runtime.min.js"></script>
  <!--
    This CSP allows any SSL-enabled host and for arbitrary eval(), but you should limit these directives further to increase your app's security.
    Learn more about CSP policies at https://content-security-policy.com/#directive
  -->

  <meta http-equiv="Content-Security-Policy" content="default-src 'self' https: localhost:*; 
             script-src 'unsafe-inline' 'unsafe-eval' https: localhost:* *;
             connect-src https: localhost:* ws://localhost:*; 
             style-src 'unsafe-inline' https:; 
             object-src 'none';">

  <meta name="importmap-type" content="systemjs-importmap" />

  <!-- If you wish to turn off import-map-overrides for specific environments (prod), uncomment the line below -->
  <!-- More info at https://github.com/joeldenning/import-map-overrides/blob/master/docs/configuration.md#domain-list -->
  <!-- <meta name="import-map-overrides-domains" content="denylist:prod.example.com" /> -->

  <!-- Shared dependencies go into this import map. Your shared dependencies must be of one of the following formats:

    1. System.register (preferred when possible) - https://github.com/systemjs/systemjs/blob/master/docs/system-register.md
    2. UMD - https://github.com/umdjs/umd
    3. Global variable

    More information about shared dependencies can be found at https://single-spa.js.org/docs/recommended-setup#sharing-with-import-maps.
  -->
  <script type="systemjs-importmap">
    {
      "imports": {
        "single-spa": "https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js"
      }
    }
  </script>
  <link rel="preload" href="https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js" as="script">

  <!-- Add your organization's prod import map URL to this script's src  -->
  <!-- <script type="systemjs-importmap" src="/importmap.json"></script> -->

  <% if (isLocal) { %>
    <script type="systemjs-importmap">
    {
      "imports": {
        "react": "https://cdn.jsdelivr.net/npm/react@16.13.1/umd/react.production.min.js",
        "react-dom": "https://cdn.jsdelivr.net/npm/react-dom@16.13.1/umd/react-dom.production.min.js",
        "@uni/root-config": "//localhost:9000/uni-root-config.js",
        "@uni/mf-menu": "//localhost:4200/main.js",
        "@uni/mf-react": "//localhost:8080/uni-mf-react.js",
        "@uni/mf-vue": "//localhost:8081/js/app.js"
      }
    }
  </script>
    <% } else { %>
      <script type="systemjs-importmap">
    { 
        "imports": 
        {
          "react": "https://cdn.jsdelivr.net/npm/react@16.13.1/umd/react.production.min.js",
          "react-dom": "https://cdn.jsdelivr.net/npm/react-dom@16.13.1/umd/react-dom.production.min.js",
          "@uni/root-config": "//demospas3-a10db69.s3.amazonaws.com/uni-root-config.js",
          "@uni/mf-menu": "//demoangulars3-3724870.s3-website-us-east-1.amazonaws.com/main.js",
          "@uni/mf-react": "//demoreacts3-fc1fe10.s3-website-us-east-1.amazonaws.com/uni-mf-react.js",
          "@uni/mf-vue": "//demovues3-52cdc24.s3-website-us-east-1.amazonaws.com/js/app.js"
        } 
    }
</script>
      <% } %>
        <script>
          var global = global || window
        </script>
        <!--
    If you need to support Angular applications, uncomment the script tag below to ensure only one instance of ZoneJS is loaded
    Learn more about why at https://single-spa.js.org/docs/ecosystem-angular/#zonejs
  -->
        <script src="https://cdn.jsdelivr.net/npm/zone.js@0.11.3/dist/zone.min.js"></script>

        <script src="https://cdn.jsdelivr.net/npm/import-map-overrides@2.2.0/dist/import-map-overrides.js"></script>
        <% if (isLocal) { %>
          <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.js"></script>
          <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.js"></script>
          <% } else { %>
            <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.min.js"></script>
            <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.min.js"></script>
            <% } %>
</head>

<body>

  <style>
    .main-container {
      display: flex;
      flex-direction: column;
    }
  </style>

  <noscript>
    You need to enable JavaScript to run this app.
  </noscript>
  <main></main>
  <main class="main-container">
    <div id="single-spa-application:@uni/mf-menu"></div>
    <div id="single-spa-application:@uni/mf-vue"></div>
    <div id="single-spa-application:@uni/mf-react"></div>
  </main>

  <script>
    System.import('@uni/root-config');
  </script>
  <import-map-overrides-full show-when-local-storage="devtools" dev-libs></import-map-overrides-full>
</body>

</html>